Skip to main content
GET
/
api
/
admin
/
users
List all users with subscription and activity data
curl --request GET \
  --url https://api.example.com/api/admin/users \
  --header 'Authorization: Bearer <token>'
{
  "users": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "<string>",
      "name": "<string>",
      "role": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "activated_at": "2023-11-07T05:31:56Z",
      "onboarding_completed_at": "2023-11-07T05:31:56Z",
      "plan_tier": "<string>",
      "subscription_status": "<string>",
      "trial_ends_at": "2023-11-07T05:31:56Z",
      "current_period_end": "2023-11-07T05:31:56Z",
      "memory_count": 123,
      "last_mcp_request_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Successful Response

Response for GET /api/admin/users.

users
AdminUserEntry · object[]
required
total
integer
required